GET Forms?assetId={assetId}&formTypeId={formTypeId}&take={take}&skip={skip}&sort[0].Field={sort[0].Field}&sort[0].Dir={sort[0].Dir}&sort[1].Field={sort[1].Field}&sort[1].Dir={sort[1].Dir}&includeAttachmentContent={includeAttachmentContent}
Retrieves forms for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| formTypeId |
Id of the form type |
globally unique identifier |
None. |
| take |
Number of forms to retrieve. Default is all forms |
integer |
None. |
| skip |
Number of forms to skip before retrieval |
integer |
Default value is 0 |
| sort |
List of sorting rules to describe how to sort the forms before retrieval |
Collection of Sort |
None. |
| Operator | string |
None. |
|
| Field | string |
None. |
|
| Value | string |
None. |
|
| Logic | string |
None. |
|
| Filters | Collection of Filter |
None. |
|
| includeAttachmentContent |
Include the file contents of the form field values if applicable |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of forms.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Form |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "942f1ab9-d54b-4656-b206-349996424efb",
"Asset": {
"AssetId": "67c98548-4f9e-4a83-8f0f-5d65227e41fe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "013360b9-a48b-4d50-8b3e-e3c2e2f41767",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "a79189c7-8b68-44f8-ba01-6eeb233ae8b5",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "a9c1fbcb-dd74-4897-ab67-279a9fa32609",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"MeasurementValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "fb010a19-d382-4863-8438-1b6cba5352cc",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"MeasurementValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "ad4c67f2-304b-4287-a3a2-2d88314edc6f",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "565089a2-59ac-407d-8bcc-f8dc38741608",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "013360b9-a48b-4d50-8b3e-e3c2e2f41767",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "a79189c7-8b68-44f8-ba01-6eeb233ae8b5",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "710fd12c-6f7e-43f3-9cda-caec67b4bb64",
"Section": {
"FormTypeSectionId": "3f7b88fb-b065-47c6-af69-44d4924ea199",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4118567d-7705-446b-8e5d-fe0db428436a",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "322e6452-0837-427f-87b2-e496d0219601",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "588bd470-4cc4-4ffb-b6d1-40b920015946",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "710fd12c-6f7e-43f3-9cda-caec67b4bb64",
"Section": {
"FormTypeSectionId": "3f7b88fb-b065-47c6-af69-44d4924ea199",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4118567d-7705-446b-8e5d-fe0db428436a",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "322e6452-0837-427f-87b2-e496d0219601",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "588bd470-4cc4-4ffb-b6d1-40b920015946",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "d6dd1717-d0d0-4114-98dd-4f95a144e409",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-18T08:27:10.2891748-08:00",
"Location": "sample string 1",
"TaskId": "db065623-ac74-461e-af0c-6dd1da3707a1",
"Values": [
{
"FormFieldValueId": "8326739e-7b5c-4a8e-9226-59dbde1ea191",
"FormId": "f0281b0b-be44-4bad-aa1f-117fb16a1260",
"FormTypeField": {
"FormTypeFieldId": "710fd12c-6f7e-43f3-9cda-caec67b4bb64",
"FormType": {
"FormTypeId": "565089a2-59ac-407d-8bcc-f8dc38741608",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "013360b9-a48b-4d50-8b3e-e3c2e2f41767",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "a79189c7-8b68-44f8-ba01-6eeb233ae8b5",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "d6dd1717-d0d0-4114-98dd-4f95a144e409",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "3f7b88fb-b065-47c6-af69-44d4924ea199",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4118567d-7705-446b-8e5d-fe0db428436a",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "322e6452-0837-427f-87b2-e496d0219601",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "588bd470-4cc4-4ffb-b6d1-40b920015946",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "8326739e-7b5c-4a8e-9226-59dbde1ea191",
"FormId": "f0281b0b-be44-4bad-aa1f-117fb16a1260",
"FormTypeField": {
"FormTypeFieldId": "710fd12c-6f7e-43f3-9cda-caec67b4bb64",
"FormType": {
"FormTypeId": "565089a2-59ac-407d-8bcc-f8dc38741608",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "013360b9-a48b-4d50-8b3e-e3c2e2f41767",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "a79189c7-8b68-44f8-ba01-6eeb233ae8b5",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "d6dd1717-d0d0-4114-98dd-4f95a144e409",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "3f7b88fb-b065-47c6-af69-44d4924ea199",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4118567d-7705-446b-8e5d-fe0db428436a",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "322e6452-0837-427f-87b2-e496d0219601",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "588bd470-4cc4-4ffb-b6d1-40b920015946",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "1fa411bb-3079-4457-a52f-de4299000e38",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 5"
},
{
"FormId": "942f1ab9-d54b-4656-b206-349996424efb",
"Asset": {
"AssetId": "67c98548-4f9e-4a83-8f0f-5d65227e41fe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "013360b9-a48b-4d50-8b3e-e3c2e2f41767",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "a79189c7-8b68-44f8-ba01-6eeb233ae8b5",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "a9c1fbcb-dd74-4897-ab67-279a9fa32609",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"MeasurementValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "fb010a19-d382-4863-8438-1b6cba5352cc",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"MeasurementValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "ad4c67f2-304b-4287-a3a2-2d88314edc6f",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "565089a2-59ac-407d-8bcc-f8dc38741608",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "013360b9-a48b-4d50-8b3e-e3c2e2f41767",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "a79189c7-8b68-44f8-ba01-6eeb233ae8b5",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "710fd12c-6f7e-43f3-9cda-caec67b4bb64",
"Section": {
"FormTypeSectionId": "3f7b88fb-b065-47c6-af69-44d4924ea199",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4118567d-7705-446b-8e5d-fe0db428436a",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "322e6452-0837-427f-87b2-e496d0219601",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "588bd470-4cc4-4ffb-b6d1-40b920015946",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "710fd12c-6f7e-43f3-9cda-caec67b4bb64",
"Section": {
"FormTypeSectionId": "3f7b88fb-b065-47c6-af69-44d4924ea199",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4118567d-7705-446b-8e5d-fe0db428436a",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "322e6452-0837-427f-87b2-e496d0219601",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "588bd470-4cc4-4ffb-b6d1-40b920015946",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "d6dd1717-d0d0-4114-98dd-4f95a144e409",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-18T08:27:10.2891748-08:00",
"Location": "sample string 1",
"TaskId": "db065623-ac74-461e-af0c-6dd1da3707a1",
"Values": [
{
"FormFieldValueId": "8326739e-7b5c-4a8e-9226-59dbde1ea191",
"FormId": "f0281b0b-be44-4bad-aa1f-117fb16a1260",
"FormTypeField": {
"FormTypeFieldId": "710fd12c-6f7e-43f3-9cda-caec67b4bb64",
"FormType": {
"FormTypeId": "565089a2-59ac-407d-8bcc-f8dc38741608",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "013360b9-a48b-4d50-8b3e-e3c2e2f41767",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "a79189c7-8b68-44f8-ba01-6eeb233ae8b5",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "d6dd1717-d0d0-4114-98dd-4f95a144e409",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "3f7b88fb-b065-47c6-af69-44d4924ea199",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4118567d-7705-446b-8e5d-fe0db428436a",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "322e6452-0837-427f-87b2-e496d0219601",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "588bd470-4cc4-4ffb-b6d1-40b920015946",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "8326739e-7b5c-4a8e-9226-59dbde1ea191",
"FormId": "f0281b0b-be44-4bad-aa1f-117fb16a1260",
"FormTypeField": {
"FormTypeFieldId": "710fd12c-6f7e-43f3-9cda-caec67b4bb64",
"FormType": {
"FormTypeId": "565089a2-59ac-407d-8bcc-f8dc38741608",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "013360b9-a48b-4d50-8b3e-e3c2e2f41767",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "a79189c7-8b68-44f8-ba01-6eeb233ae8b5",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-18T08:27:10.2891748-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "d6dd1717-d0d0-4114-98dd-4f95a144e409",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "3f7b88fb-b065-47c6-af69-44d4924ea199",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4118567d-7705-446b-8e5d-fe0db428436a",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "322e6452-0837-427f-87b2-e496d0219601",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "588bd470-4cc4-4ffb-b6d1-40b920015946",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "45c13aa3-75b6-4fa8-a8b3-a0fffc1054ae",
"FieldId": "ab9bad96-9bed-4ee7-8a21-bc79231bbf1e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "1fa411bb-3079-4457-a52f-de4299000e38",
"CreateDate": "2026-11-18T08:27:10.2891748-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-18T08:27:10.2891748-08:00",
"LastModifiedUser": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}